Skip to main content
GET
/
core
/
v1
/
bidding-zones
List Bidding Zones
curl --request GET \
  --url https://api.engrate.io/core/v1/bidding-zones \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/core/v1/bidding-zones"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/core/v1/bidding-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bidding_zones": [
    {
      "countries": [
        "SE"
      ],
      "id": "10Y1001A1001A46L",
      "name": "Swedish Elspot Area 3",
      "short_name": "SE3"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Query Parameters

id
string[]

Filter by EIC code(s)

name
string[]

Filter by name or short name using substring matching

country
string[]

Filter by ISO 3166-1 alpha-2 country codes

Example:

"SE"

Response

Successful Response

bidding_zones
BiddingZone · object[]
required